IPSW-KERNEL-DWARF(1)

NAME
ipsw-kernel-dwarf - 🚧 Dump DWARF debug information

SYNOPSIS
ipsw kernel dwarf [dSYM] [flags]

DESCRIPTION
🚧 Dump DWARF debug information

OPTIONS
--all[=false]
    Dump all types

-d, --diff[=false]
    Diff two structs

--enums[=false]
    Dump all enums

-h, --help[=false]
    help for dwarf

-m, --md[=false]
    Markdown diff output

-n, --name=""
    Name to lookup

--no-off[=false]
    Do NOT display struct field offsets in output

--structs[=false]
    Dump all structs

-t, --type=""
    Type to lookup

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Dump the task struct
    ❯ ipsw kernel dwarf -t task /Library/Developer/KDKs/KDK_13.3_22E5230e.kdk/System/Library/Kernels/kernel.development.t6020.dSYM
    # Diff task struct
    ❯ ipsw kernel dwarf --type task --diff
    # Diff ALL structs
    ❯ ipsw kernel dwarf --diff

SEE ALSO
ipsw-kernel(1)

HISTORY
10-Jul-2025 Auto generated by spf13/cobra